> For the complete documentation index, see [llms.txt](https://docs.welltested.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.welltested.ai/v1/welltested-ai/unit-tests/save-tests.md).

# Save Tests

{% hint style="info" %}
IDE Assist: Trigger via the IDE command [*`Save Unit Tests`*](/v1/welltested-ai/ide-assist/commands.md#save-unit-tests)
{% endhint %}

Whenever you makes fixes to the tests or annotated classes, it's required to save those updates on our systems so we don't overwrite them with our existing cache.

\
To save your tests, run this command:

```
dart run welltested:save build
```

### Benefits of saving tests:

1. **Avoid Mistake Repetition:** If you fix a mistake in our generated tests and save it on the system, we tend to learn from your fixes and not repeat them again.
2. **Match your code style:** With more examples of the code style and pattern you like, we create tuned tests for you.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.welltested.ai/v1/welltested-ai/unit-tests/save-tests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
